%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-pa
Version:       5.17.3
Release:       1mamba
Summary:       KDE Frameworks 5 Pulseaudio configuration
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/plasma-pa-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGConf-devel
BuildRequires: libcanberra-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libki18n-devel
BuildRequires: libkpackage-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpulseaudio-glib-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Provides:      kmix
Obsoletes:     kmix
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Pulseaudio configuration.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -d -m0755 %{buildroot}%{_kde4_kconfupdatedir}
mv %{buildroot}%{_datadir}/kde4/apps/kconf_update/* %{buildroot}%{_kde4_kconfupdatedir}/

%find_lang %{name}5_qt --with-qt --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_libdir}/qt5/plugins/kcms/kcm_pulseaudio.so
%{_libdir}/qt5/qml/org/kde/plasma/private/volume/*
%{_datadir}/doc/HTML/en/kcontrol/plasma-pa/index.cache.bz2
%{_datadir}/doc/HTML/en/kcontrol/plasma-pa/index.docbook
%{_datadir}/kconf_update/disable_kmix.upd
%{_datadir}/kconf_update/plasmaVolumeDisableKMixAutostart.pl
%{_kde4_kconfupdatedir}/disable_kmix.upd
%{_kde4_kconfupdatedir}/plasmaVolumeDisableKMixAutostart.pl
%dir %{_datadir}/kpackage/kcms/kcm_pulseaudio
%{_datadir}/kpackage/kcms/kcm_pulseaudio/*
%{_datadir}/kservices5/kcm_pulseaudio.desktop
%{_datadir}/kservices5/plasma-applet-org.kde.plasma.volume.desktop
%{_datadir}/metainfo/org.kde.plasma.volume.appdata.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.volume
%{_datadir}/plasma/plasmoids/org.kde.plasma.volume/*
%doc COPYING COPYING.LIB

%changelog
* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Wed Jul 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Wed Jun 26 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Thu Jun 13 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Sat Dec 01 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Sat Nov 10 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Wed Jul 11 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Wed Jun 20 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed May 02 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Tue Mar 20 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.3-2mamba
- provide/obsolete kmix to replace it

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Wed Nov 08 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-1mamba
- package created using the webbuild interface
